
#include <stdio.h>
#include <libc.h>
#include <math.h>

#import <objc/List.h>
#import <appkit/Application.h>   /* NX_BASETHRESHOLD */
#import <appkit/View.h>
#import <appkit/Pasteboard.h>
#import <appkit/NXBitmapImageRep.h>
#import <appkit/NXImage.h>
#import <appkit/Text.h>
#import <appkit/nextstd.h>
#import <dpsclient/wraps.h>

#define RASMOL
#include "rasmol.h"
#include "graphics.h"
#include "molecule.h"
#include "infile.h"
#include "abstree.h"
#include "transfor.h"
#include "command.h"
#include "render.h"
#include "repres.h"
#include "pixutils.h"
#include "outfile.h"
#undef View

#define linebuflength 128
#define IMAGE 0

@interface RasView : View
{
#if IMAGE
    NXImage *image;
#endif
    NXBitmapImageRep *bm;
    char line[linebuflength];
    int lineIndex;
    id text;
    id meters;
}

extern RasView *rasView;
extern Real realtime(void);
#ifdef TWOBIT
extern char *tbuf;
#endif

- initBitmap;
- initFrame:(const NXRect *) frameRect;
- drawSelf:(const NXRect *) rects :(int)count;

- (BOOL)openFile:(const char *)fn;
- open:sender;


- update;

- break;
- putChar:(char)ch;
- show:(char *)str;

- resetMeter:(int)i;
- setMeter:(int)i value:(Real)t;

// Outlets:
- setText:aText;
- text;
- setMeters:aMatrix;
- meters;

// Delegate responses:
- textDidEnd:sender endChar:(unsigned short)whyEnd;

// Action methods:
- testPattern:sender;
- testRotate:sender;
- setValue:sender;

- close:sender;
- wireFrame: sender;
- backBone: sender;
- sticks: sender;
- spheres: sender;
- ballAndStick: sender;
- ribbons: sender;
- strands: sender;
- cartoons: sender;

- mono: sender;
- cpk: sender;
- shapely: sender;
- group: sender;
- chain: sender;
- temp: sender;
- struct: sender;
- user: sender;

- slabbing: sender;
- hydrogens: sender;
- hetero: sender;
- specular: sender;
- shadows: sender;
- stereo: sender;
- labels: sender;

- export: sender;
- help: sender;

@end
